Mailinglist Archive: opensuse-commit (2092 mails)

< Previous Next >
commit gmime
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Mon, 06 Aug 2007 21:29:25 +0200
  • Message-id: <20070806192926.4EFDF67817A@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package gmime
checked in at Mon Aug 6 21:29:25 CEST 2007.

--------
--- GNOME/gmime/gmime.changes   2007-07-16 19:09:53.000000000 +0200
+++ /mounts/work_src_done/STABLE/gmime/gmime.changes    2007-08-06 15:04:49.000000000 +0200
@@ -1,0 +2,10 @@
+Mon Aug  6 14:47:50 CEST 2007 - sbrabec@xxxxxxx
+
+- Updated to version 2.2.10:
+  * Implemented a conditional workaround for broken rfc2047
+    encodings.
+- Enabled large file support and broken rfc2047 workaround.
+- Split package according to shared library policy.
+- Package gmime-sharp separately.
+
+-------------------------------------------------------------------

Old:
----
  gmime-2.2.9.tar.bz2

New:
----
  gmime-2.2.10.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gmime.spec ++++++
--- /var/tmp/diff_new_pack.S23955/_old  2007-08-06 21:28:49.000000000 +0200
+++ /var/tmp/diff_new_pack.S23955/_new  2007-08-06 21:28:49.000000000 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package gmime (Version 2.2.9)
+# spec file for package gmime (Version 2.2.10)
 #
 # Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # This file and all modifications and additions to the pristine
@@ -12,15 +12,15 @@
 
 Name:           gmime
 BuildRequires:  glib-sharp2 glib2-devel gtk-doc gtk-sharp2 gtk-sharp2-gapi mono-devel zlib-devel
-Version:        2.2.9
-Release:        3
+Version:        2.2.10
+Release:        1
 URL:            http://spruce.sourceforge.net/gmime/
-Group:          Development/Libraries/C and C++
+Group:          Productivity/Networking/Email/Utilities
 License:        GPL v2 or later, LGPL v2 or later
-Summary:        MIME Library
+Summary:        MIME Library Utilities
 Source:         %{name}-%{version}.tar.bz2
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
-Requires:       gtk-sharp2 glib-sharp2
+Requires:       libgmime-2_0-2 >= %{version}
 
 %description
 GMime is a set of utilities for parsing and creating messages using the
@@ -30,12 +30,42 @@
 
 Authors:
 --------
-    Jeffrey Stedfast <fejj@xxxxxxxxxx>
+    Jeffrey Stedfast <fejj@xxxxxxxxx>
+
+%package -n libgmime-2_0-2
+Group:          Development/Libraries/C and C++
+Summary:        MIME Library
+Requires:       %{name} = %{version} glib2-devel zlib-devel glibc-devel
+
+%description -n libgmime-2_0-2
+GMime is a set of utilities for parsing and creating messages using the
+Multipurpose Internet Mail Extension (MIME).
+
+
+
+Authors:
+--------
+    Jeffrey Stedfast <fejj@xxxxxxxxx>
+
+%package sharp
+Group:          Development/Libraries/Other
+Summary:        MIME Library Mono Bindings
+Requires:       libgmime-2_0-2 = %{version} gtk-sharp2 glib-sharp2
+
+%description sharp
+GMime is a set of utilities for parsing and creating messages using the
+Multipurpose Internet Mail Extension (MIME).
+
+
+
+Authors:
+--------
+    Jeffrey Stedfast <fejj@xxxxxxxxx>
 
 %package devel
 Group:          Development/Libraries/C and C++
 Summary:        MIME Library
-Requires:       gmime = %{version} glib2-devel zlib-devel glibc-devel
+Requires:       libgmime-2_0-2 = %{version} glib2-devel zlib-devel glibc-devel
 
 %description devel
 GMime is a set of utilities for parsing and creating messages using the
@@ -50,7 +80,6 @@
 %package doc
 Group:          Development/Libraries/C and C++
 Summary:        MIME Library documentation
-Requires:       gmime = %{version} glib2-devel zlib-devel glibc-devel
 
 %description doc
 GMime is a set of utilities for parsing and creating messages using the
@@ -65,15 +94,16 @@
     Jeffrey Stedfast <fejj@xxxxxxxxxx>
 
 %prep
-%setup
+%setup -q
 
 %build
-# needed for autoreconf in gmime-2.2.9:
 cp /usr/share/gettext/config.rpath .
 autoreconf -f -i
 %configure\
-       --disable-static
-make #%{?jobs:-j%jobs}
+       --disable-static\
+       --enable-rfc2047-workarounds\
+       --enable-largefile
+make %{?jobs:-j%jobs}
 
 %install
 %makeinstall
@@ -92,37 +122,51 @@
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post
-%run_ldconfig
+%post -n libgmime-2_0-2 -p /sbin/ldconfig
 
-%postun
-%run_ldconfig
+%postun -n libgmime-2_0-2 -p /sbin/ldconfig
 
 %files
 %defattr (-, root, root)
-%doc AUTHORS COPYING ChangeLog NEWS PORTING README TODO
-%{_libdir}/*.so.*
+# NEWS is empty
+%doc AUTHORS COPYING ChangeLog PORTING README TODO
 %{_bindir}/*
+
+%files -n libgmime-2_0-2
+%defattr (-, root, root)
+%{_libdir}/*.so.*
+
+%files sharp
+%defattr (-, root, root)
 %dir %{_prefix}/lib/mono/gmime-sharp
 %dir %{_prefix}/lib/mono/gac/gmime-sharp
 %dir %{_prefix}/lib/mono/gac/gmime-sharp/2.2.0.0__677013d4cb5910f0
 %{_prefix}/lib/mono/gmime-sharp/gmime-sharp.dll
 %{_prefix}/lib/mono/gac/gmime-sharp/2.2.0.0__677013d4cb5910f0/gmime-sharp.dll
 %{_prefix}/lib/mono/gac/gmime-sharp/2.2.0.0__677013d4cb5910f0/gmime-sharp.dll.config
+# devel files:
+%{_datadir}/gapi-2.0/gmime-api.xml
+%{_libdir}/pkgconfig/gmime-sharp.pc
 
 %files devel
 %defattr (-, root, root)
-%{_datadir}/gapi-2.0/gmime-api.xml
 %{_includedir}/gmime-2.0
 %{_libdir}/*.*a
 %{_libdir}/*.so
-%{_libdir}/pkgconfig/*.pc
+%{_libdir}/pkgconfig/gmime-2.0.pc
 
 %files doc
 %defattr (-, root, root)
 %{_datadir}/gtk-doc/html/*
 
 %changelog
+* Mon Aug 06 2007 - sbrabec@xxxxxxx
+- Updated to version 2.2.10:
+  * Implemented a conditional workaround for broken rfc2047
+  encodings.
+- Enabled large file support and broken rfc2047 workaround.
+- Split package according to shared library policy.
+- Package gmime-sharp separately.
 * Mon Jul 16 2007 - sbrabec@xxxxxxx
 - Fixed licenses linking.
 * Sun Jul 15 2007 - aj@xxxxxxx

++++++ gmime-2.2.9.tar.bz2 -> gmime-2.2.10.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/ChangeLog new/gmime-2.2.10/ChangeLog
--- old/gmime-2.2.9/ChangeLog   2007-05-22 04:15:15.000000000 +0200
+++ new/gmime-2.2.10/ChangeLog  2007-07-20 02:43:04.000000000 +0200
@@ -1,3 +1,19 @@
+2007-07-19  Jeffrey Stedfast  <fejj@xxxxxxxxx>
+
+       * README: Bumped version
+
+       * configure.in: Bumped version to 2.2.10
+
+       * tests/test-mime.c: Added rfc2047_text entries for testing the
+       new workaround support.
+
+       * gmime/gmime-utils.c (g_mime_utils_header_decode_text):
+       Implemented a conditional workaround for broken rfc2047 encodings.
+
+2007-07-03  Jeffrey Stedfast  <fejj@xxxxxxxxx>
+
+       * gmime/gmime-common.c: Removed str[n]casecmp
+
 2007-05-21  Jeffrey Stedfast  <fejj@xxxxxxxxx>
 
        * README: Bumped version
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/config.h.in new/gmime-2.2.10/config.h.in
--- old/gmime-2.2.9/config.h.in 2007-05-22 04:11:44.000000000 +0200
+++ new/gmime-2.2.10/config.h.in        2007-07-20 02:36:47.000000000 +0200
@@ -1,5 +1,11 @@
 /* config.h.in.  Generated from configure.in by autoheader.  */
 
+/* Define if GMime should enable workarounds for broken rfc2047 encodings. */
+#undef ENABLE_RFC2047_WORKAROUNDS
+
+/* Define if GMime should enable warning output. */
+#undef ENABLE_WARNINGS
+
 /* Define if libc defines an altzone variable */
 #undef HAVE_ALTZONE
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/configure new/gmime-2.2.10/configure
--- old/gmime-2.2.9/configure   2007-05-22 04:11:21.000000000 +0200
+++ new/gmime-2.2.10/configure  2007-07-20 02:35:21.000000000 +0200
@@ -889,8 +889,6 @@
 DB2HTML
 HAVE_DOCBOOK_TRUE
 HAVE_DOCBOOK_FALSE
-ENABLE_WARNINGS_TRUE
-ENABLE_WARNINGS_FALSE
 GLIB_CFLAGS
 GLIB_LIBS
 GLIB_GENMARSHAL
@@ -1525,13 +1523,17 @@
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
   --enable-gtk-doc        use gtk-doc to build documentation default=no
-  --enable-gprof          Enable profiling compile flags default=no
-  --enable-warnings       Enable g_warning spewage on the console when invalid MIME is encountered default=no
+  --enable-profiling      enable profiling compile flags [default=no]
+  --enable-rfc2047-workarounds
+                          enable workarounds for broken rfc2047 encodings
+                          [default=no]
+  --enable-warnings       enable g_warning output when invalid MIME is
+                          encountered [default=no]
   --disable-glibtest      do not try to compile and run a test GLIB program
   --disable-rpath         do not hardcode runtime library paths
-  --enable-largefile      Enable support for large files default=no
+  --enable-largefile      enable support for large files [default=no]
   --disable-largefile     omit support for large files
-  --enable-mono       Enable Mono bindings default=auto
+  --enable-mono           enable Mono bindings [default=auto]
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -2000,7 +2002,7 @@
 
 GMIME_MAJOR_VERSION=2
 GMIME_MINOR_VERSION=2
-GMIME_MICRO_VERSION=9
+GMIME_MICRO_VERSION=10
 GMIME_VERSION=$GMIME_MAJOR_VERSION.$GMIME_MINOR_VERSION.$GMIME_MICRO_VERSION
 GMIME_VERSION_INFO=`expr $GMIME_MAJOR_VERSION + $GMIME_MINOR_VERSION`:$GMIME_MICRO_VERSION:$GMIME_MINOR_VERSION
 
@@ -6770,7 +6772,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6773 "configure"' > conftest.$ac_ext
+  echo '#line 6775 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9092,11 +9094,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9095: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9097: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9099: \$? = $ac_status" >&5
+   echo "$as_me:9101: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9360,11 +9362,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9363: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9365: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9367: \$? = $ac_status" >&5
+   echo "$as_me:9369: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9464,11 +9466,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9467: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9469: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9471: \$? = $ac_status" >&5
+   echo "$as_me:9473: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11761,7 +11763,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11764 "configure"
+#line 11766 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11861,7 +11863,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11864 "configure"
+#line 11866 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14197,11 +14199,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14200: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14202: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14204: \$? = $ac_status" >&5
+   echo "$as_me:14206: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14301,11 +14303,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14304: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14306: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14308: \$? = $ac_status" >&5
+   echo "$as_me:14310: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15862,11 +15864,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15865: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15867: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15869: \$? = $ac_status" >&5
+   echo "$as_me:15871: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15966,11 +15968,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15969: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15971: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15973: \$? = $ac_status" >&5
+   echo "$as_me:15975: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18153,11 +18155,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18156: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18158: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18160: \$? = $ac_status" >&5
+   echo "$as_me:18162: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18421,11 +18423,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18424: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18426: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18428: \$? = $ac_status" >&5
+   echo "$as_me:18430: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18525,11 +18527,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18528: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18530: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:18532: \$? = $ac_status" >&5
+   echo "$as_me:18534: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -23217,40 +23219,47 @@
 fi
 
 
-# Check whether --enable-gprof was given.
-if test "${enable_gprof+set}" = set; then
-  enableval=$enable_gprof; enable_profile="$enableval"
+# Check whether --enable-profiling was given.
+if test "${enable_profiling+set}" = set; then
+  enableval=$enable_profiling;
 else
-  enable_profile="no"
+  enable_profiling=no
 fi
 
-if test "x$enable_profile" = "xyes"; then
+if test "x$enable_profiling" = "xyes"; then
 #  CFLAGS="-O0 -g -pg -fprofile-arcs -ftest-coverage"
   CFLAGS="-O0 -g -pg"
 fi
 
-# Check whether --enable-warnings was given.
-if test "${enable_warnings+set}" = set; then
-  enableval=$enable_warnings; enable_warnings="$enableval"
+# Check whether --enable-rfc2047-workarounds was given.
+if test "${enable_rfc2047_workarounds+set}" = set; then
+  enableval=$enable_rfc2047_workarounds;
 else
-  enable_warnings="no"
+  enable_rfc2047_workarounds=no
 fi
 
-if test "x$enable_warnings" = "xyes"; then
-  CFLAGS="$CFLAGS -Wall -Wcast-align -Wmissing-prototypes -Wreturn-type -Wuninitialized -Wunused -Werror"
-fi
+if test "x$enable_rfc2047_workarounds" = "xyes"; then
 
+cat >>confdefs.h <<\_ACEOF
+#define ENABLE_RFC2047_WORKAROUNDS 1
+_ACEOF
 
+fi
 
-if test "x$enable_warnings" = "xyes"; then
-  ENABLE_WARNINGS_TRUE=
-  ENABLE_WARNINGS_FALSE='#'
+# Check whether --enable-warnings was given.
+if test "${enable_warnings+set}" = set; then
+  enableval=$enable_warnings;
 else
-  ENABLE_WARNINGS_TRUE='#'
-  ENABLE_WARNINGS_FALSE=
+  enable_warnings=no
 fi
 
+if test "x$enable_warnings" = "xyes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define ENABLE_WARNINGS 1
+_ACEOF
 
+fi
 
 # Check whether --enable-glibtest was given.
 if test "${enable_glibtest+set}" = set; then
@@ -25485,9 +25494,9 @@
 
 # Check whether --enable-largefile was given.
 if test "${enable_largefile+set}" = set; then
-  enableval=$enable_largefile; enable_largefile="$enableval"
+  enableval=$enable_largefile;
 else
-  enable_largefile="no"
+  enable_largefile=no
 fi
 
 if test "x$enable_largefile" != "xno"; then
@@ -27410,7 +27419,7 @@
 
 # Check whether --enable-mono was given.
 if test "${enable_mono+set}" = set; then
-  enableval=$enable_mono; enable_mono="$enableval"
+  enableval=$enable_mono;
 else
   enable_mono="auto"
 fi
@@ -27460,11 +27469,11 @@
        # if we found mcs, make sure it's mono and not something else named
        # mcs, such as Tru64's /usr/bin/mcs, for manipulating object file
        # comment sections of eCOFF object files.
-       if test "x$CSC" != "xno" ; then
+       if test "x$CSC" != "xno"; then
                { echo "$as_me:$LINENO: checking whether $CSC is GNU Mono" >&5
 echo $ECHO_N "checking whether $CSC is GNU Mono... $ECHO_C" >&6; }
                $CSC --version > /dev/null 2>&1
-               if test $? -ne 0 ; then
+               if test $? -ne 0; then
                        CSC=no
                        { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
@@ -27980,13 +27989,6 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${ENABLE_WARNINGS_TRUE}" && test -z "${ENABLE_WARNINGS_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"ENABLE_WARNINGS\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"ENABLE_WARNINGS\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
-   { (exit 1); exit 1; }; }
-fi
 if test -z "${HAVE_REGEX_TRUE}" && test -z "${HAVE_REGEX_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_REGEX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -28724,8 +28726,6 @@
 DB2HTML!$DB2HTML$ac_delim
 HAVE_DOCBOOK_TRUE!$HAVE_DOCBOOK_TRUE$ac_delim
 HAVE_DOCBOOK_FALSE!$HAVE_DOCBOOK_FALSE$ac_delim
-ENABLE_WARNINGS_TRUE!$ENABLE_WARNINGS_TRUE$ac_delim
-ENABLE_WARNINGS_FALSE!$ENABLE_WARNINGS_FALSE$ac_delim
 GLIB_CFLAGS!$GLIB_CFLAGS$ac_delim
 GLIB_LIBS!$GLIB_LIBS$ac_delim
 GLIB_GENMARSHAL!$GLIB_GENMARSHAL$ac_delim
@@ -28756,7 +28756,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 55; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 53; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -29362,10 +29362,11 @@
   Install prefix:       ${prefix}
   Compiler:             ${CC}
 
-  Large file support:   ${enable_largefile}
-
   Profiling enabled:    ${enable_profile}
-  Warnings enabled:     ${enable_warnings}
+
+  Large file support:   ${enable_largefile}
+  rfc2047 workarounds:  ${enable_rfc2047_workarounds}
+  Warning output:       ${enable_warnings}
 
   Mono bindings:        ${enable_mono}
 "
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/configure.in new/gmime-2.2.10/configure.in
--- old/gmime-2.2.9/configure.in        2007-05-22 04:10:52.000000000 +0200
+++ new/gmime-2.2.10/configure.in       2007-07-20 02:34:43.000000000 +0200
@@ -12,7 +12,7 @@
 
 GMIME_MAJOR_VERSION=2
 GMIME_MINOR_VERSION=2
-GMIME_MICRO_VERSION=9
+GMIME_MICRO_VERSION=10
 GMIME_VERSION=$GMIME_MAJOR_VERSION.$GMIME_MINOR_VERSION.$GMIME_MICRO_VERSION
 GMIME_VERSION_INFO=`expr $GMIME_MAJOR_VERSION + $GMIME_MINOR_VERSION`:$GMIME_MICRO_VERSION:$GMIME_MINOR_VERSION
 
@@ -128,21 +128,31 @@
 AM_CONDITIONAL(ENABLE_GTK_DOC, test "x$enable_gtk_doc" = "xyes")
 
 dnl Check for profiling options
-AC_ARG_ENABLE(gprof, [  --enable-gprof          Enable profiling compile flags [default=no]], enable_profile="$enableval", enable_profile="no")
-if test "x$enable_profile" = "xyes"; then
+AC_ARG_ENABLE(profiling,
+              AC_HELP_STRING([--enable-profiling],[enable profiling compile flags [[default=no]]]),,
+              enable_profiling=no)
+if test "x$enable_profiling" = "xyes"; then
 #  CFLAGS="-O0 -g -pg -fprofile-arcs -ftest-coverage"
   CFLAGS="-O0 -g -pg"
 fi
 
+AC_ARG_ENABLE(rfc2047-workarounds,
+              AC_HELP_STRING([--enable-rfc2047-workarounds],
+             [enable workarounds for broken rfc2047 encodings [[default=no]]]),,
+             enable_rfc2047_workarounds=no)
+if test "x$enable_rfc2047_workarounds" = "xyes"; then
+  AC_DEFINE(ENABLE_RFC2047_WORKAROUNDS, 1, [Define if GMime should enable workarounds for broken rfc2047 encodings.])
+fi
+
 dnl Enable warning spewage on the console
-AC_ARG_ENABLE(warnings, [  --enable-warnings       Enable g_warning spewage on the console when invalid MIME is encountered [default=no]], enable_warnings="$enableval", enable_warnings="no")
+AC_ARG_ENABLE(warnings,
+              AC_HELP_STRING([--enable-warnings],
+             [enable g_warning output when invalid MIME is encountered [[default=no]]]),,
+             enable_warnings=no)
 if test "x$enable_warnings" = "xyes"; then
-  CFLAGS="$CFLAGS -Wall -Wcast-align -Wmissing-prototypes -Wreturn-type -Wuninitialized -Wunused -Werror"
+  AC_DEFINE(ENABLE_WARNINGS, 1, [Define if GMime should enable warning output.])
 fi
 
-AM_CONDITIONAL(ENABLE_WARNINGS, test "x$enable_warnings" = "xyes")
-
-
 dnl We need at *least* glib 2.0.0
 AM_PATH_GLIB_2_0(2.0.0, ,
                 AC_MSG_ERROR(Cannot find GLIB: Is pkg-config in your path?),
@@ -288,7 +298,10 @@
 dnl *************************************
 dnl *** Checks for large file support ***
 dnl *************************************
-AC_ARG_ENABLE(largefile, [  --enable-largefile      Enable support for large files [default=no]], enable_largefile="$enableval", enable_largefile="no")
+AC_ARG_ENABLE(largefile,
+             AC_HELP_STRING([--enable-largefile],
+             [enable support for large files [[default=no]]]),,
+             enable_largefile=no)
 if test "x$enable_largefile" != "xno"; then
     AC_SYS_LARGEFILE
     AC_CACHE_CHECK([for _LARGEFILE64_SOURCE value needed for large files], largefile64_source,
@@ -361,16 +374,19 @@
 dnl ****************************
 dnl *** Enable Mono bindings ***
 dnl ****************************
-AC_ARG_ENABLE(mono, [  --enable-mono       Enable Mono bindings [default=auto]], enable_mono="$enableval", enable_mono="auto")
+AC_ARG_ENABLE(mono,
+             AC_HELP_STRING([--enable-mono],
+             [enable Mono bindings [[default=auto]]]),,
+             enable_mono="auto")
 if test ! "x$enable_mono" = "xno"; then
        AC_PATH_PROG(CSC, mcs, no)
        # if we found mcs, make sure it's mono and not something else named
        # mcs, such as Tru64's /usr/bin/mcs, for manipulating object file
        # comment sections of eCOFF object files.
-       if test "x$CSC" != "xno" ; then
+       if test "x$CSC" != "xno"; then
                AC_MSG_CHECKING([whether $CSC is GNU Mono])
                $CSC --version > /dev/null 2>&1
-               if test $? -ne 0 ; then
+               if test $? -ne 0; then
                        CSC=no
                        AC_MSG_RESULT([no])
                else
@@ -386,7 +402,7 @@
        if test "x$enable_mono" = "xyes"; then
                AC_MSG_ERROR([Could not find mcs])
        fi
-
+       
        enable_mono="no"
        AM_CONDITIONAL(ENABLE_MONO, false)
 else
@@ -480,10 +496,11 @@
   Install prefix:       ${prefix}
   Compiler:             ${CC}
 
-  Large file support:   ${enable_largefile}
-
   Profiling enabled:    ${enable_profile}
-  Warnings enabled:     ${enable_warnings}
+
+  Large file support:   ${enable_largefile}
+  rfc2047 workarounds:  ${enable_rfc2047_workarounds}
+  Warning output:       ${enable_warnings}
 
   Mono bindings:        ${enable_mono}
 "
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/docs/Makefile.in new/gmime-2.2.10/docs/Makefile.in
--- old/gmime-2.2.9/docs/Makefile.in    2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/docs/Makefile.in   2007-07-20 02:44:52.000000000 +0200
@@ -88,8 +88,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/docs/reference/Makefile.in new/gmime-2.2.10/docs/reference/Makefile.in
--- old/gmime-2.2.9/docs/reference/Makefile.in  2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/docs/reference/Makefile.in 2007-07-20 02:44:52.000000000 +0200
@@ -86,8 +86,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/docs/tutorial/Makefile.in new/gmime-2.2.10/docs/tutorial/Makefile.in
--- old/gmime-2.2.9/docs/tutorial/Makefile.in   2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/docs/tutorial/Makefile.in  2007-07-20 02:44:52.000000000 +0200
@@ -79,8 +79,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/examples/Makefile.in new/gmime-2.2.10/examples/Makefile.in
--- old/gmime-2.2.9/examples/Makefile.in        2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/examples/Makefile.in       2007-07-20 02:44:53.000000000 +0200
@@ -113,8 +113,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/gmime/gmime-common.c new/gmime-2.2.10/gmime/gmime-common.c
--- old/gmime-2.2.9/gmime/gmime-common.c        2007-03-29 01:45:09.000000000 +0200
+++ new/gmime-2.2.10/gmime/gmime-common.c       2007-07-03 17:35:05.000000000 +0200
@@ -53,57 +53,3 @@
        
        return h;
 }
-
-#ifndef HAVE_STRNCASECMP
-/**
- * strncasecmp:
- * @s1: string 1
- * @s2: string 2
- * @n: len to compare
- *
- * Compares the first @n characters of the 2 strings, @s1 and @s2,
- * ignoring the case of the characters.
- *
- * Returns an integer less than, equal to, or greater than zero if @s1
- * is found, respectively, to be less than, to match, or to be greater
- * than @s2.
- **/
-int
-strncasecmp (const char *s1, const char *s2, size_t n)
-{
-       register const char *p1 = s1, *p2 = s2;
-       const char *q1 = s1 + n;
-       
-       for ( ; *p1 && p1 < q1; p1++, p2++)
-               if (g_tolower (*p1) != g_tolower (*p2))
-                       return g_tolower (*p1) - g_tolower (*p2);
-       
-       return 0;
-}
-#endif
-
-#ifndef HAVE_STRCASECMP
-/**
- * strcasecmp:
- * @s1: string 1
- * @s2: string 2
- *
- * Compares the 2 strings, @s1 and @s2, ignoring the case of the
- * characters.
- *
- * Returns an integer less than, equal to, or greater than zero if @s1
- * is found, respectively, to be less than, to match, or to be greater
- * than @s2.
- **/
-int
-strcasecmp (const char *s1, const char *s2)
-{
-       register const char *p1 = s1, *p2 = s2;
-       
-       for ( ; *p1; p1++, p2++)
-               if (g_tolower (*p1) != g_tolower (*p2))
-                       break;
-       
-       return g_tolower (*p1) - g_tolower (*p2);
-}
-#endif
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/gmime/gmime-utils.c new/gmime-2.2.10/gmime/gmime-utils.c
--- old/gmime-2.2.9/gmime/gmime-utils.c 2007-04-26 03:32:16.000000000 +0200
+++ new/gmime-2.2.10/gmime/gmime-utils.c        2007-07-20 01:58:37.000000000 +0200
@@ -1702,10 +1702,46 @@
                        text = inptr;
                        ascii = TRUE;
                        
+#ifdef ENABLE_RFC2047_WORKAROUNDS
+                       if (!strncmp (inptr, "=?", 2) && inptr[2] != '?') {
+                               inptr += 2;
+                               
+                               /* skip past the charset */
+                               while (*inptr && *inptr != '?') {
+                                       ascii = ascii && is_ascii (*inptr);
+                                       inptr++;
+                               }
+                               
+                               /* sanity check encoding type */
+                               if (inptr[0] != '?' || !strchr ("BbQq", inptr[1]) || inptr[2] != '?')
+                                       goto non_rfc2047;
+                               
+                               inptr += 3;
+                               
+                               /* find the end of the rfc2047 encoded word token */
+                               while (*inptr && strncmp (inptr, "?=", 2) != 0) {
+                                       ascii = ascii && is_ascii (*inptr);
+                                       inptr++;
+                               }
+                               
+                               if (!strncmp (inptr, "?=", 2))
+                                       inptr += 2;
+                       } else {
+                       non_rfc2047:
+                               /* stop if we encounter a possible rfc2047 encoded
+                                * token even if it's inside another word, sigh. */
+                               while (*inptr && !is_lwsp (*inptr) &&
+                                      strncmp (inptr, "=?", 2) != 0) {
+                                       ascii = ascii && is_ascii (*inptr);
+                                       inptr++;
+                               }
+                       }
+#else
                        while (*inptr && !is_lwsp (*inptr)) {
                                ascii = ascii && is_ascii (*inptr);
                                inptr++;
                        }
+#endif /* ENABLE_RFC2047_WORKAROUNDS */
                        
                        n = (size_t) (inptr - text);
                        if (is_rfc2047_encoded_word (text, n)) {
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/gmime/Makefile.in new/gmime-2.2.10/gmime/Makefile.in
--- old/gmime-2.2.9/gmime/Makefile.in   2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/gmime/Makefile.in  2007-07-20 02:44:53.000000000 +0200
@@ -185,8 +185,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/gmime.spec new/gmime-2.2.10/gmime.spec
--- old/gmime-2.2.9/gmime.spec  2007-05-22 04:44:18.000000000 +0200
+++ new/gmime-2.2.10/gmime.spec 2007-07-20 02:46:56.000000000 +0200
@@ -1,5 +1,5 @@
 # Note that this is NOT a relocatable package
-%define ver      2.2.9
+%define ver      2.2.10
 %define prefix   /usr
 %define enable_mono 0
 %define enable_gtk_doc 0
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/Makefile.in new/gmime-2.2.10/Makefile.in
--- old/gmime-2.2.9/Makefile.in 2007-05-22 04:42:20.000000000 +0200
+++ new/gmime-2.2.10/Makefile.in        2007-07-20 02:44:52.000000000 +0200
@@ -115,8 +115,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/mono/Makefile.in new/gmime-2.2.10/mono/Makefile.in
--- old/gmime-2.2.9/mono/Makefile.in    2007-05-22 04:42:21.000000000 +0200
+++ new/gmime-2.2.10/mono/Makefile.in   2007-07-20 02:44:53.000000000 +0200
@@ -87,8 +87,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/README new/gmime-2.2.10/README
--- old/gmime-2.2.9/README      2007-05-22 04:15:03.000000000 +0200
+++ new/gmime-2.2.10/README     2007-07-20 02:43:02.000000000 +0200
@@ -1,4 +1,4 @@
-                            GMime, version 2.2.9
+                            GMime, version 2.2.10
                    by Jeffrey Stedfast <fejj@xxxxxxxxx>
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/src/Makefile.in new/gmime-2.2.10/src/Makefile.in
--- old/gmime-2.2.9/src/Makefile.in     2007-05-22 04:42:21.000000000 +0200
+++ new/gmime-2.2.10/src/Makefile.in    2007-07-20 02:44:53.000000000 +0200
@@ -120,8 +120,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/tests/Makefile.in new/gmime-2.2.10/tests/Makefile.in
--- old/gmime-2.2.9/tests/Makefile.in   2007-05-22 04:42:21.000000000 +0200
+++ new/gmime-2.2.10/tests/Makefile.in  2007-07-20 02:44:53.000000000 +0200
@@ -154,8 +154,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/tests/test-mime.c new/gmime-2.2.10/tests/test-mime.c
--- old/gmime-2.2.9/tests/test-mime.c   2007-04-26 03:38:37.000000000 +0200
+++ new/gmime-2.2.10/tests/test-mime.c  2007-07-20 01:59:29.000000000 +0200
@@ -273,6 +273,14 @@
        { "=?iso-8859-5?b?tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2trY=?=",
          "\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96\xd0\x96",
          "=?iso-8859-5?b?tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2trY=?= =?iso-8859-5?b?tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2tra2trY=?= =?iso-8859-5?b?tra2tg==?=" },
+#ifdef ENABLE_RFC2047_WORKAROUNDS
+       { "Copy of Rapport fra Norges R=?iso-8859-1?Q?=E5?=fisklag.doc",
+         "Copy of Rapport fra Norges R\xc3\xa5" "fisklag.doc",
+         "Copy =?iso-8859-1?q?of_Rapport_fra_Norges_R=E5fisklag=2Edoc?=" },
+       { "Copy of Rapport fra Norges =?iso-8859-1?Q?R=E5?=fisklag.doc",
+         "Copy of Rapport fra Norges R\xc3\xa5" "fisklag.doc",
+         "Copy =?iso-8859-1?q?of_Rapport_fra_Norges_R=E5fisklag=2Edoc?=" },
+#endif /* ENABLE_RFC2047_WORKAROUNDS */
 };
 
 static struct {
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/cache.c new/gmime-2.2.10/util/cache.c
--- old/gmime-2.2.9/util/cache.c        2007-04-24 02:28:30.000000000 +0200
+++ new/gmime-2.2.10/util/cache.c       2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/cache.h new/gmime-2.2.10/util/cache.h
--- old/gmime-2.2.9/util/cache.h        2007-04-24 02:28:30.000000000 +0200
+++ new/gmime-2.2.10/util/cache.h       2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/gtrie.c new/gmime-2.2.10/util/gtrie.c
--- old/gmime-2.2.9/util/gtrie.c        2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/gtrie.c       2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/gtrie.h new/gmime-2.2.10/util/gtrie.h
--- old/gmime-2.2.9/util/gtrie.h        2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/gtrie.h       2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/list.c new/gmime-2.2.10/util/list.c
--- old/gmime-2.2.9/util/list.c 2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/list.c        2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/list.h new/gmime-2.2.10/util/list.h
--- old/gmime-2.2.9/util/list.h 2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/list.h        2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/Makefile.in new/gmime-2.2.10/util/Makefile.in
--- old/gmime-2.2.9/util/Makefile.in    2007-05-22 04:42:21.000000000 +0200
+++ new/gmime-2.2.10/util/Makefile.in   2007-07-20 02:44:54.000000000 +0200
@@ -111,8 +111,6 @@
 ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
 ENABLE_MONO_FALSE = @ENABLE_MONO_FALSE@
 ENABLE_MONO_TRUE = @ENABLE_MONO_TRUE@
-ENABLE_WARNINGS_FALSE = @ENABLE_WARNINGS_FALSE@
-ENABLE_WARNINGS_TRUE = @ENABLE_WARNINGS_TRUE@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/memchunk.c new/gmime-2.2.10/util/memchunk.c
--- old/gmime-2.2.9/util/memchunk.c     2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/memchunk.c    2007-06-02 16:25:27.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/memchunk.h new/gmime-2.2.10/util/memchunk.h
--- old/gmime-2.2.9/util/memchunk.h     2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/memchunk.h    2007-06-02 16:25:28.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/url-scanner.c new/gmime-2.2.10/util/url-scanner.c
--- old/gmime-2.2.9/util/url-scanner.c  2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/url-scanner.c 2007-06-02 16:25:28.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gmime-2.2.9/util/url-scanner.h new/gmime-2.2.10/util/url-scanner.h
--- old/gmime-2.2.9/util/url-scanner.h  2007-03-29 01:45:11.000000000 +0200
+++ new/gmime-2.2.10/util/url-scanner.h 2007-06-02 16:25:28.000000000 +0200
@@ -1,6 +1,6 @@
 /* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
 /*  GMime
- *  Copyright (C) 1999-2006 Jeffrey Stedfast
+ *  Copyright (C) 2000-2007 Jeffrey Stedfast
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
+ *  Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  */
 
 


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread